##
##  openjade.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 1.3.3
%define       V_dist 1.3.3-pre1

#   package information
Name:         openjade
Summary:      Document Style Semantics and Specification Language (DSSSL) Processor
URL:          http://openjade.sourceforge.net/
Vendor:       James Clark
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      GPL
Version:      %{V_opkg}
Release:      20090327

#   list of sources
Source0:      http://download.sourceforge.net/openjade/openjade-%{V_dist}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, perl, make
PreReq:       OpenPKG, openpkg >= 20160101, sgml
BuildPreReq:  gettext, opensp
PreReq:       gettext, opensp

%description
    OpenJade is James Clark's implementation of DSSSL -- Document
    Style Semantics and Specification Language -- an ISO standard for
    formatting SGML (and XML) documents.

%track
    prog openjade = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/openjade/files/
        regex     = openjade-(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n openjade-%{V_dist}
    %{l_shtool} subst \
        -e 's; config \($srcdir/config\); \1;' \
        configure

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --srcdir=$RPM_BUILD_DIR/openjade-%{V_dist} \
        --datadir=%{l_prefix}/share/sgml/openjade \
        --enable-default-catalog=%{l_prefix}/share/sgml/catalog \
        --enable-default-search-path=%{l_prefix}/share/sgml \
        --enable-spincludedir=%{l_prefix}/include/OpenSP \
        --enable-splibdir=%{l_prefix}/lib \
        --enable-http \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/share/sgml/openjade
    ( PATH=".:$PATH"
      %{l_make} %{l_mflags} install \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          exec_prefix=$RPM_BUILD_ROOT%{l_prefix} \
          datadir=$RPM_BUILD_ROOT%{l_prefix}/share/sgml/openjade
    ) || exit $?
    %{l_shtool} install -c -m 644 \
        dsssl/* $RPM_BUILD_ROOT%{l_prefix}/share/sgml/openjade/
    rm -f $RPM_BUILD_ROOT%{l_prefix}/share/sgml/openjade/ChangeLog
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

%post
    if [ $1 -eq 1 ]; then
        $RPM_INSTALL_PREFIX/bin/sgmlcatalog \
            -P "-//James Clark//DTD DSSSL Flow Object Tree//EN" \
            -P "ISO/IEC 10179:1996//DTD DSSSL Architecture//EN" \
            -P "-//James Clark//DTD DSSSL Style Sheet//EN" \
            -P "-//OpenJade//DTD DSSSL Style Sheet//EN" \
            -S "builtins.dsl" \
            -i openjade
    fi

%preun
    if [ $1 -eq 0 ]; then
        $RPM_INSTALL_PREFIX/bin/sgmlcatalog \
            -d openjade
    fi

